<?php
/**
 * TOP API: alibaba.alihealth.drug.yzw.drugtable request
 * 
 * @author auto create
 * @since 1.0, 2025.04.11
 */
class AlibabaAlihealthDrugYzwDrugtableRequest
{
	/** 
	 * 批准文号
	 **/
	private $approvalLicenceNo;
	
	/** 
	 * mah企业名称
	 **/
	private $mahEntName;
	
	/** 
	 * 页码
	 **/
	private $page;
	
	/** 
	 * 页大小
	 **/
	private $pageSize;
	
	/** 
	 * 药品通用名
	 **/
	private $physicName;
	
	/** 
	 * 生产企业名称
	 **/
	private $productEntName;
	
	/** 
	 * 调用企业id
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setApprovalLicenceNo($approvalLicenceNo)
	{
		$this->approvalLicenceNo = $approvalLicenceNo;
		$this->apiParas["approval_licence_no"] = $approvalLicenceNo;
	}

	public function getApprovalLicenceNo()
	{
		return $this->approvalLicenceNo;
	}

	public function setMahEntName($mahEntName)
	{
		$this->mahEntName = $mahEntName;
		$this->apiParas["mah_ent_name"] = $mahEntName;
	}

	public function getMahEntName()
	{
		return $this->mahEntName;
	}

	public function setPage($page)
	{
		$this->page = $page;
		$this->apiParas["page"] = $page;
	}

	public function getPage()
	{
		return $this->page;
	}

	public function setPageSize($pageSize)
	{
		$this->pageSize = $pageSize;
		$this->apiParas["page_size"] = $pageSize;
	}

	public function getPageSize()
	{
		return $this->pageSize;
	}

	public function setPhysicName($physicName)
	{
		$this->physicName = $physicName;
		$this->apiParas["physic_name"] = $physicName;
	}

	public function getPhysicName()
	{
		return $this->physicName;
	}

	public function setProductEntName($productEntName)
	{
		$this->productEntName = $productEntName;
		$this->apiParas["product_ent_name"] = $productEntName;
	}

	public function getProductEntName()
	{
		return $this->productEntName;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.yzw.drugtable";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->approvalLicenceNo,"approvalLicenceNo");
		RequestCheckUtil::checkNotNull($this->page,"page");
		RequestCheckUtil::checkNotNull($this->pageSize,"pageSize");
		RequestCheckUtil::checkNotNull($this->physicName,"physicName");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
